Bug 1632983 - [3.11] metrics API Proxy endpoint is deprecated in metrics.go
Summary: [3.11] metrics API Proxy endpoint is deprecated in metrics.go
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.11.z
Assignee: Luke Meyer
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1571176
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 02:09 UTC by Junqi Zhao
Modified: 2019-01-30 15:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The location of the master proxy API changed. Consequence: Since the MetricsApiProxy diagnostic uses this endpoint, it broke. Fix: The diagnostic was updated to look at the correct endpoint. Result: It should now work as expected.
Clone Of: 1571176
Environment:
Last Closed: 2019-01-30 15:19:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0096 None None None 2019-01-30 15:19:36 UTC

Comment 1 Junqi Zhao 2018-09-26 02:10:52 UTC
Clone this defect to v3.11, issue should also be fixed in v3.11

Comment 2 N. Harrison Ripps 2018-10-03 18:31:09 UTC
Not a 3.11.0 release blocker; moving to 3.11.z.

Comment 3 Luke Meyer 2019-01-14 20:20:45 UTC
https://github.com/openshift/origin/pull/21752

Comment 5 Junqi Zhao 2019-01-17 02:27:42 UTC
Issue is fixed
# oc adm diagnostics MetricsApiProxy
[Note] Determining if client configuration exists for client/cluster diagnostics
Info:  Successfully read a client config file at '/root/.kube/config'
Info:  Using context for cluster-admin access: 'default/ip-172-18-1-52-ec2-internal:8443/system:admin'

[Note] Running diagnostic: MetricsApiProxy
       Description: Check the integrated heapster metrics can be reached via the API proxy
       
[Note] Summary of diagnostics execution (version v3.11.69):
[Note] Completed with no errors or warnings seen.


# openshift version
openshift v3.11.69

Comment 7 errata-xmlrpc 2019-01-30 15:19:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0096


Note You need to log in before you can comment on or make changes to this bug.